Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.afp.modca
Class GraphicsDataDescriptor

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.AbstractStructuredObject
              org.apache.fop.afp.modca.AbstractTripletStructuredObject
                  org.apache.fop.afp.modca.AbstractDescriptor
                      org.apache.fop.afp.modca.GraphicsDataDescriptor

All Implemented Interfaces:
  Streamable

public class GraphicsDataDescriptor
extends AbstractDescriptor

GOCA Graphics Data Descriptor

Nested Class Summary

Nested classes inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.modca.AbstractDescriptor
`height, heightRes, width, widthRes`

Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`triplets`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`log, SF_CLASS, SF_HEADER`

Constructor Summary
`GraphicsDataDescriptor(int xlwind, int xrwind, int ybwind, int ytwind, int widthRes, int heightRes)` Main constructor

Method Summary
`void` | `writeToStream(java.io.OutputStream os)` DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

Methods inherited from class org.apache.fop.afp.modca.AbstractDescriptor
`getHeight, getWidth, toString`

Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setObjectClassification, writeTriplets`

Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject
`writeContent, writeEnd, writeStart`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copyChunks, copySF, copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphicsDataDescriptor

    public GraphicsDataDescriptor(int xlwind,
                                  int xrwind,
                                  int ybwind,
                                  int ytwind,
                                  int widthRes,
                                  int heightRes)

  Main constructor

Parameters:
  `xlwind` - the left edge of the graphics window
  `xrwind` - the right edge of the graphics window
  `ybwind` - the top edge of the graphics window
  `ytwind` - the bottom edge of the graphics window
  `widthRes` - the width resolution of the graphics window
  `heightRes` - the height resolution of the graphics window

Method Detail

### writeToStream

    public void writeToStream(java.io.OutputStream os)
                       throws java.io.IOException

  DataStream objects must implement the writeToStream() method to write its data to the given OutputStream

  Specified by:
    `writeToStream` in interface `Streamable`
  Overrides:
    `writeToStream` in class `AbstractStructuredObject`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.